---
title: Presenter Output 
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\TextareaFieldType\TextareaFieldTypePresenter` class.

#### TextareaFieldTypePresenter::yaml()

The `yaml` method parses the value as YAML.

###### Returns: `mixed`

###### Example

    $decorated->example->yaml()['some_key'];

###### Twig

    {{ decorated.example.yaml().some_key }}

#### TextareaFieldTypePresenter::lines()

The `lines` method returns an array of lines from within the value.

###### Returns: `array`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$limit

</td>

<td>

false

</td>

<td>

integer

</td>

<td>

9999

</td>

<td>

The maximum length of the value allowed into the explode function.

</td>

</tr>

</tbody>

</table>

###### Example

    echo count($decorated->example->lines());

###### Twig

    <ul>
    	<li>
    		{% for line in decorated.example.lines() %}
    			{{ line }}
    		{% endfor %}
    	</li>
    </ul>

#### TextareaFieldTypePresenter::line()

The `line` method returns a specific line value.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$line

</td>

<td>

true

</td>

<td>

integer

</td>

<td>

1

</td>

<td>

The line you would like to return.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->line(1); // Street address
    $decorated->example->line(2); // City, State, ZIP

###### Twig

    {{ decorated.example.line(1) }} // Street address
    {{ decorated.example.line(2) }} // City, State, ZIP

#### TextareaFieldTypePresenter::limit()

The `limit` method returns a truncated and capped string if longer than the specified limit.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$limit

</td>

<td>

true

</td>

<td>

integer

</td>

<td>

100

</td>

<td>

The maximum length allowed before truncating and finishing with the string end.

</td>

</tr>

<tr>

<td>

$end

</td>

<td>

true

</td>

<td>

string

</td>

<td>

...

</td>

<td>

The ending that will be appended to the string if truncated.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->limit(); // 100 characters...

###### Twig

    {{ decorated.example.limit() }} // 100 characters...
